# Introduction

Redux form elementd for semantic UI. Currently Supporting Input and TextArea.
Following are the available parameters:

```javascript
interface Input {
  classes?: string;
  placeholder?: string;
  label?: string;
  icon?: string;
  iconPosition?: string;
  children?: any;
  inputClasses?: string;
  type?: string;
  leftLabel?: string;
  rightLabel?: string;
  inline?: boolean;
  search?: boolean;
  disabled?: boolean;
  readOnly?: boolean;
  name?: string;
  input?: ReduxFormInput;
  meta?: ReduxFormMeta;
}

// example

<Input name={`${formPath}.question`} label="Question" />

export interface Textarea {
  classes?: string;
  placeholder?: string;
  label?: string;
  rows?: number;
  cols?: number;
  inline?: boolean;
  name?: string;
  readOnly?: boolean;
  onChange?: Function;
  input?: ReduxFormInput;
  meta?: ReduxFormMeta;
}

// example

<Textarea name={`${formPath}.question`} label="Question" />
```